Skip to content

List roles

Request

Returns the available roles that can be assigned to users within a business.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
Query
offsetinteger

Offset to retrieve items from.

Default:0
Example:offset=50
limitinteger, <= 500

Number of items per page.

Default:50
Example:limit=50
GET
/v1/businesses/{client_id}/roles
curl -i -X GET \
  'https://public.letsweel.com/v1/businesses/123/roles?offset=50&limit=50' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countinteger

The total number of roles for the business.

Example:5
nextstring

The URL to the next page of roles.

Example:"offset=50&limit=50"
previousstring

The URL to the previous page of roles.

Example:"offset=0&limit=50"
resultsArray of objects(Role)
Response
{ "count": 5, "next": "offset=50&limit=50", "previous": "offset=0&limit=50", "results": [ {} ] }